Any way to get older apps to work on shopify 2.0?

MonicaRB
New Member
6 0 0

I use "showcase" for instagram galleries but now that I've updated to a 2.0 theme it no longer works. It seems to be the wrong syntax for the new .json product pages. Has anyone found a fix for making such apps work with the new 2.0 themes?

0 Likes
PaulNewton
Shopify Partner
3135 195 576

@MonicaRB wrote:

 Has anyone found a fix for making such apps work with the new 2.0 themes?


"such apps" is incredibly ambiguous, regardless there is not a one size fits all solution here, if an app does not support OS2.0 then it's likely it doesn't at all if it doesn't have an api or compatible features.

You either need to implement something custom if the app provides it's own api, or migrate whatever section template it provides.

Or revert your theme, or the specific templates, back to the vintage template system.

https://shopify.dev/themes/migration 

Problem Solved? ✔️Accept and ? Like the solution so you can help others.
Buy me a coffee ☕ paypal.me/paulnewton or donate to eff.org
Confused? Busy? Buy a custom solution paull.newton+shopifyforum@gmail.com
0 Likes